package com.bonus.material.work.service;


import com.bonus.material.work.domain.SysWorkflowNode;

import java.util.List;

public interface SysWorkflowNodeService {
    List<SysWorkflowNode> selectSysWorkflowNodeList(SysWorkflowNode sysWorkflowNode);

    int addSysWorkflowNode(SysWorkflowNode sysWorkflowNode);

    int deleteSysWorkflowNode(SysWorkflowNode sysWorkflowNode);

    int updateSysWorkflowNode(SysWorkflowNode sysWorkflowNode);

    List<SysWorkflowNode> listByTaskId(SysWorkflowNode sysWorkflowNode);

    void copeNodeConfigPersonValuesByNode(SysWorkflowNode forSysWorkflowNode);
}
